Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.tslib.forecast.croston
Class CrostonForecaster

    java.lang.Object
      kieker.tools.tslib.forecast.AbstractForecaster<Double>
          kieker.tools.tslib.forecast.AbstractRForecaster
              kieker.tools.tslib.forecast.croston.CrostonForecaster

All Implemented Interfaces:
  IForecaster<Double>

    public class CrostonForecaster

extends AbstractRForecaster

Intermittent Demand Forecasting. This is one of the forecasters used in the research paper on Self-adaptive workload classification and forecasting for proactive resource provisioning (http://dx.doi.org/10.1002/cpe.3224), authored by Herbst et al.

Since:
  1.10
Author:
  Nikolas Herbst Decomposition of the time series that contains zero values into two separate sequences: a non-zero valued time series and a second that contains the time intervals of zero values. Independent forecast using SES and combination of the two independent forecasts. No confidence intervals are computed due to no consistent underlying stochastic model.

Constructor Summary
`CrostonForecaster(ITimeSeries<Double> historyTimeseries)`
`CrostonForecaster(ITimeSeries<Double> historyTimeseries, int confidenceLevel)`

Method Summary

Methods inherited from class kieker.tools.tslib.forecast.AbstractRForecaster
`forecast, removeNullValues`

Methods inherited from class kieker.tools.tslib.forecast.AbstractForecaster
`getConfidenceLevel, getTsOriginal`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CrostonForecaster

    public CrostonForecaster(ITimeSeries<Double> historyTimeseries)

Parameters:
  `historyTimeseries` - timeseries used by forecating algo

### CrostonForecaster

    public CrostonForecaster(ITimeSeries<Double> historyTimeseries,
                             int confidenceLevel)

Parameters:
  `historyTimeseries` - timeseries used by forecating algo
  `confidenceLevel` - value of confidence

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net